_PTPObjectPropDesc Struct Reference

## Data Fields

uint16_t | ObjectPropertyCode
uint16_t | DataType
uint8_t | GetSet
PTPPropertyValue | FactoryDefaultValue
uint32_t | GroupCode
uint8_t | FormFlag
union {
PTPPropDescEnumForm Enum
PTPPropDescRangeForm Range
} | FORM

The documentation for this struct was generated from the following file:

- /home/jenkins/Optware-ng/buildroot-armeabi-ng/builds/libmtp/src/ptp.h